{* <!-- ===========================================================================
  Система: Impera CMS                                                             |
  Сайт системы: http://imperacms.ru/                                              |
                                                                                  |
                                                                                  |
                                                                                  |
  Модуль: Catalog Tabs Slider - закладочный слайдер категорий                     |
  Версия модуля: 1.0                                                              |
  Автор: RuSeller                                                                 |
  Сайт автора: http://ruseller.com/                                               |
  Кодинг модуля: Разработчик Impera CMS                                           |
                                                                                  |
                                                                                  |
                                                                                  |
  Принимает во входных переменных:                                                |
    $banner_path = относительный путь картинок демонстрируемого баннера           |
                   (по умолчанию Catalog-Tabs-slider-demo/)                       |
    $maxcount = максимальное число показываемых картинок из одной папки           |
    $link_css = булевой признак "подключить свои стили" (по умолчанию true)       |
    $link_modernizr = булевой признак "подключить скрипт Modernizr" (по умол.true)|
    $link_engine = булевой признак "подключить свой яваскрипт" (по умолчан. true) |
                                                                                  |
                                                                                  |
                                                                                  |
  Использует другие переменные:                                                   |
    $banners = массив прочитанных баннеров                                        |
    $site = полный url корня сайта (то есть http://домен.сайта/ например)         |
    $smarty = объект шаблонизатора                                                |
                                                                                  |
                                                                                  |
                                                                                  |
  Устанавливает внешние переменные:                                               |
    $ПСЕВДО_ИМЯ_МОДУЛЯ_css_linked (глобальная) = true                             |
    $ПСЕВДО_ИМЯ_МОДУЛЯ_js1_linked (глобальная) = true                             |
    $ПСЕВДО_ИМЯ_МОДУЛЯ_js2_linked (глобальная) = true                             |
                                                                                  |
                                                                                  |
                                                                                  |
  Подключение из своего шаблона:                                                  |
    {include file = '../../common_parts/Catalog-Tabs-slider/main.tpl'             |
             banner_path = строка пути к картинкам баннера                        |
             maxcount = число                                                     |
             link_css = true или false                                            |
             link_easing = true или false                                         |
             link_engine = true или false}                                        |
                                                                                  |
============================================================================ --> *}{strip}



    {* <!-- относительный путь модуля --> *}
    {$module_path = 'Catalog-Tabs-slider'}



    {* <!-- готовим псевдо имя модуля --> *}
    {$module_name = $module_path|regex_replace:'/[^a-z0-9]/i':''}



    {* <!-- готовим имена контрольных переменных --> *}
    {$module_var_css = $module_name|cat:'_css_linked'}
    {$module_var_js1 = $module_name|cat:'_js1_linked'}
    {$module_var_js2 = $module_name|cat:'_js2_linked'}



    {* <!-- готовим стилевой путь --> *}
    {$module_common = (($site|default:'')|cat:'design/common_parts/'|cat:$module_path|cat:'/')|escape}



    {* <!-- если позволили подключить свои стили и модуль еще не подключал их --> *}
    {if (!isset($link_css) || $link_css) && (!isset(${$module_var_css}) || !${$module_var_css})}

        <link href="{$module_common}css/style.css" rel="stylesheet" type="text/css" />

        {* <!-- ставим для повторных вызовов модуля глобальный признак CSS УЖЕ ПОДКЛЮЧЕНЫ --> *}
        {assign var = $module_var_css
                value = true
                scope = 'global'}
    {/if}



    {* <!-- если движком прочитаны баннеры --> *}
    {if isset($banners) && is_array($banners) && !empty($banners)}



        {* <!-- генерируем в переменной $module_id уникальный ИД для контейнера модуля --> *}
        {capture assign = 'module_id'}
            {$module_name|escape}{math equation = 'rand(1, 100000000)'}
        {/capture}



        {* <!-- путь демо картинок баннера --> *}
        {$demo_path = $module_path|cat:'-demo/'}



        {* <!-- запоминаем входной путь --> *}
        {$path = ($banner_path|default:$demo_path)|lower}
        {$path = $path|regex_replace:'![/\\\\]+!':'/'}



        {* <!-- захватываем следующий вывод в переменную $result --> *}
        {capture assign = 'result'}

            {* <!-- получаем url папки баннеров --> *}
            {$url = ($site|default:'')|cat:($smarty.const.ADMIN_BANNERS_CLASS_UPLOAD_FOLDER|default:'')|cat:'/'}
            {$url = $url|regex_replace:'![/\\\\]+!':'/'}
            {$url = $url|regex_replace:'!^([a-z]+:/)!i':'\1/'}
            {$url = $url|escape}



            {* <!-- объявляем функцию ($dir, $level_id, $level, $count) = наполнение слайдера картинками --> *}
            {function name = 'Catalog_Tabs_slider'
                      level_id = '1'
                      level = 1
                      count = 0}

                {* <!-- перебираем папки и файлы --> *}
                {$number = 0}
                {foreach $dir as $c}

                    {* <!-- если папка / файл не отключена --> *}
                    {if !isset($c->enabled) || $c->enabled}
                        {$folder = $c->path|default:''}
                        {$file = $folder|cat:($c->filename|default:'')}
                        {$folder = $folder|lower|truncate:($path|strlen):'':true}



                        {* <!-- если это папка, делаем рекурсию --> *}
                        {if isset($c->files)}
                            {if is_array($c->files) && !empty($c->files)}
                                {$number = $number + 1}
                                {Catalog_Tabs_slider dir = $c->files
                                                     level_id = $level_id|cat:$number
                                                     level = $level + 1
                                                     count = 0}
                            {/if}



                        {* <!-- иначе если это файл-картинка и он из выбранной папки --> *}
                        {elseif isset($c->width) && isset($c->height) && ($folder == $path)}



                            {* <!-- этот баннер не позволяет показ более заданного количества картинок --> *}
                            {if $count < $maxcount|default:4}
                                {$count = $count + 1}



                                {* <!-- ссылка, картинка, название --> *}
                                {capture assign = 'content'}
                                    <li>
                                        <a href="{($c->link|default:($site|default:''))|escape}" title="{(($c->title|default:'Без названия!')|strip_tags)|escape} {(($c->description|default:'')|strip_tags)|escape}">

                                            <img src="{$url}{$file|escape}" />

                                            <h4>
                                                {$c->title|default:'Без названия!'}
                                            </h4>
                                        </a>
                                    </li>
                                {/capture}



                                {* <!-- готовим как исполняемое позже --> *}
                                {literal}{capture assign = 'content'}{/literal}
                                    {$content|replace:'{':''|replace:'}':''}
                                {literal}{/capture}{/literal}
                                {literal}{$items['{/literal}{$level_id}']['{$count}'] = [$content, '{$c->price|default:'имя?'|replace:'\'':''|replace:'{':''|replace:'}':''}{literal}'] scope = 'parent'}{/literal}

                            {/if}

                        {/if}
                    {/if}

                {/foreach}

            {/function}



            {* <!-- вызываем функцию наполнения слайдера картинками --> *}
            {Catalog_Tabs_slider dir = $banners
                                 level_id = '1'
                                 level = 1
                                 count = 0}

        {/capture}



        {* <!-- если слайдер наполнен картинками, выводим его --> *}
        {if $result|regex_replace:'/[\s\t\r\n]/':'' != ''}



            {* <!-- если позволили подключить скрипт Modernizr и модуль еще не подключал его --> *}
            {if (!isset($link_modernizr) || $link_modernizr) && (!isset(${$module_var_js1}) || !${$module_var_js1})}

                <script src="{$module_common}js/modernizr.custom.63321.js" language="JavaScript" type="text/javascript"></script>

                {* <!-- ставим для повторных вызовов модуля глобальный признак MODERNIZR УЖЕ ПОДКЛЮЧЕН --> *}
                {assign var = $module_var_js1
                        value = true
                        scope = 'global'}
            {/if}



            {* <!-- если позволили подключить свои яваскрипты и модуль еще не подключал их --> *}
            {if (!isset($link_engine) || $link_engine) && (!isset(${$module_var_js2}) || !${$module_var_js2})}

                <script src="{$module_common}js/jquery.catslider.js" language="JavaScript" type="text/javascript"></script>

                {* <!-- ставим для повторных вызовов модуля глобальный признак JS УЖЕ ПОДКЛЮЧЕНЫ --> *}
                {assign var = $module_var_js2
                        value = true
                        scope = 'global'}
            {/if}



            {* <!-- исполняем разложение в массив --> *}
            {$items = []}
            {eval var = $result}



            {* <!-- контейнер слайдера --> *}
            <div id="mi-slider" class="mi-slider {$module_id}">
                {foreach $items as $cat}
                    <ul>
                        {foreach $cat as $c}
                            {$c[0]}
                        {/foreach}
                    </ul>
                {/foreach}
                <nav>
                    {foreach $items as $cat}
                        {foreach $cat as $c}
                            <a href="{$site|default:''|escape}" onclick="javascript: return false;">
                                {$c[1]}
                            </a>
                            {break}
                        {/foreach}
                    {/foreach}
                </nav>
            </div>



            {* <!-- скрипт запуска слайдера --> *}
            <script language="JavaScript" type="text/javascript">

                jQuery(window).load(function () {

                    jQuery('.{$module_id}').catslider();

                });

            </script>

        {/if}

    {/if}

{/strip}